package function.builtin.predicate;

import static testutil.TestUtilities.evaluateString;
import static testutil.TypeAssertions.*;

import org.junit.Test;

import function.ArgumentValidator.*;

public class NULLTest {

    @Test
    public void nilIsNull() {
        assertT(evaluateString("(null ())"));
    }

    @Test
    public void nilIsNullWithAlias() {
        assertT(evaluateString("(null? ())"));
    }

    @Test
    public void listIsNotNull() {
        assertNil(evaluateString("(null '(1))"));
    }

    @Test(expected = TooFewArgumentsException.class)
    public void testNullWithTooFewArguments() {
        evaluateString("(null)");
    }

    @Test(expected = TooManyArgumentsException.class)
    public void testNullWithTooManyArguments() {
        evaluateString("(null 1 2)");
    }

}
